%global momorel 11

Summary: httpd module for FastCGI
Name: mod_fastcgi
Version: 2.4.2
Release: %{momorel}m%{?dist}
License: see "LICENSE.TERMS"
Group: System Environment/Daemons
Source: http://www.fastcgi.com/dist/mod_fastcgi-%{version}.tar.gz
NoSource: 0
Source1: fastcgi.conf
Patch0: mod_fastcgi-apache2.2.patch
URL: http://www.fastcgi.com
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: webserver
BuildRequires: httpd-devel >= 2.2.16
BuildRequires: gcc-c++ >= 3.4.1-1m
BuildRequires: libtool >= 1.5-5m

%define apache_libexecdir /usr/lib/httpd/modules
%define apache_includedir /usr/include/httpd
%define apache_serverroot /etc/httpd
%define apache_topdir     %{_libdir}/httpd

%description
mod_fastcgi is a free, open-source Apache httpd module for FastCGI.

%prep

%setup -q
%patch0 -p1

%build
make -f Makefile.AP2 \
  top_dir="%{apache_topdir}" \
  INCLUDES="-I%{apache_includedir}" \
  LIBTOOL='libtool --tag=CXX' 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{apache_libexecdir}
install -m 755 .libs/mod_fastcgi.so %{buildroot}%{apache_libexecdir}
mkdir -p %{buildroot}%{apache_serverroot}/conf.d
install -m 644 %{SOURCE1} \
   %{buildroot}%{apache_serverroot}/conf.d/fastcgi.conf.dist

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGES README docs/*
%config(noreplace) %{apache_serverroot}/conf.d/fastcgi.conf.dist
%{apache_libexecdir}/mod_fastcgi.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.4.2-11m)
- full rebuild for mo7 release

* Thu Jul 29 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.4.2-10m)
- specify location of special.mk
- specify apache httpd version

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.2-9m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.2-8m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.4.2-7m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.2-6m)
- rebuild against gcc43

* Wed May 10 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (2.4.2-5m)
- for httpd-2.2.2

* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (2.4.2-4m)
- large file support. rebuild against httpd 2.0.53.

* Thu Aug 26 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.4.2-3m)
- rebuild against gcc-c++-3.4.1 (add BuildPrereq: gcc-c++, libtool)

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-2m)
- stop service

* Sun Jun 27 2004 Masahiro Takahata <takahata@momonga-linux.org>
- fixed apache_libexecdir apache_includedir apache_serverroot

* Wed May 12 2004 Shotaro Kamio <skamio@momonga-linux.org>
- fixed apxs paths.

* Mon Apr  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.2-1m)
- initial import to Momonga
